node-ipaddr.js_0.1.3-1_all.deb


Advertisement

Description

node-ipaddr.js - IPv4 and IPv6 addresses manipulation - Node.js module

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-ipaddr.js_0.1.3-1_all.deb
Package name node-ipaddr.js
Package version 0.1.3
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/whitequark/ipaddr.js
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.65 KB
Installed size 56.00 KB
This modules features:
- verification and parsing of an IP address
- match against a CIDR range or range list
- match against reserved ranges like loopback or private ranges
- conversion between IPv4 and IPv4-mapped IPv6 addresses.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-ipaddr.js_0.1.3-1_all.deb 0.1.3 all Ubuntu Universe
node-ipaddr.js - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-ipaddr.js_0.1.3-1_all.deb
Source Package node-ipaddr.js

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-ipaddr.js deb package:
    # sudo apt-get install node-ipaddr.js

Files

Path
/usr/lib/nodejs/ipaddr.js/package.json
/usr/lib/nodejs/ipaddr.js/lib/ipaddr.js
/usr/share/doc/node-ipaddr.js/README.md.gz
/usr/share/doc/node-ipaddr.js/changelog.Debian.gz
/usr/share/doc/node-ipaddr.js/copyright

Changelog

2014-10-12 - Leo Iannacone <l3on@ubuntu.com>
node-ipaddr.js (0.1.3-1) unstable; urgency=medium
* Imported Upstream version 0.1.3
* Bump Standards-Version 3.9.6
* debian/copyright: removed Files-Excluded field.
Do not exclude files can be regenerated at build time.
* debian/source/lintian-overrides: override false positive for
missing source of ipaddr.min.js.
2014-07-05 - Leo Iannacone <l3on@ubuntu.com>
node-ipaddr.js (0.1.2+dfsg-1) unstable; urgency=low
* Initial release (Closes: #753804)

See Also

Package Description
node-irregular-plurals_1.2.0-2_all.deb Map of nouns to their irregular plural form
node-is-accessor-descriptor_2.0.0-1_all.deb Identifies value with valid JS accessor descriptor characteristics
node-is-arrayish_0.3.2-1_all.deb Determines if an object can be used as an array
node-is-binary-path_2.0.0-1_all.deb check if a filepath is a binary file
node-is-buffer_1.1.6-1_all.deb Determine if an object is a Buffer
node-is-builtin-module_2.0.0-1_all.deb Check if string matches name of a Node.js builtin module
node-is-data-descriptor_0.1.4-1_all.deb True if a value has characteristics of a valid JS data descriptor
node-is-descriptor_2.0.0-1_all.deb Returns true if value has characteristics of a valid JS descriptor
node-is-directory_0.3.1-1_all.deb checks if a given path is directory
node-is-dotfile_1.0.2-1_all.deb Return true if a file path is (or has) a dotfile
node-is-equal-shallow_0.1.3-1_all.deb Does a shallow comparison of two objects
node-is-extendable_1.0.1-1_all.deb determine if a value can be extended
node-is-extglob_2.1.1-1_all.deb Node module to return true if a string is an extglob
node-is-generator-fn_1.0.0-2_all.deb Check if something is a generator function
node-is-glob_4.0.0-1_all.deb Node module to return true if a string is a glob or extglob
Advertisement
Advertisement